Package org.apache.commons.imaging.color

## Class ColorHsv

- java.lang.Object
- - org.apache.commons.imaging.color.ColorHsv

-     public final class ColorHsv
      extends Object

  Represents a color in the HSV color space.

  Contains the constant values for black, white, red, green, blue, cyan, magenta, and yellow.

  Since:
    1.0-alpha1
  See Also:
    https://en.wikipedia.org/wiki/HSL_and_HSV

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ColorHsv` | `BLACK` | A constant for color black.
    `static ColorHsv` | `BLUE` | A constant for color blue.
    `static ColorHsv` | `GREEN` | A constant for color green.
    `double` | `H` |
    `static ColorHsv` | `RED` | A constant for color red.
    `double` | `S` |
    `double` | `V` |
    `static ColorHsv` | `WHITE` | A constant for color white.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ColorHsv​(double H, double S, double V)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BLACK

          public static final ColorHsv BLACK

      A constant for color black. Color components are:

               Hue:        0
               Saturation: 0
               Value:      0

    - #### WHITE

          public static final ColorHsv WHITE

      A constant for color white. Color components are:

               Hue:        0
               Saturation: 0
               Value:      100

    - #### RED

          public static final ColorHsv RED

      A constant for color red. Color components are:

               Hue:        0
               Saturation: 100
               Value:      100

    - #### GREEN

          public static final ColorHsv GREEN

      A constant for color green. Color components are:

               Hue:        120
               Saturation: 100
               Value:      100

    - #### BLUE

          public static final ColorHsv BLUE

      A constant for color blue. Color components are:

               Hue:        240
               Saturation: 100
               Value:      100

    - #### H

          public final double H

    - #### S

          public final double S

    - #### V

          public final double V

  - ### Constructor Detail

    - #### ColorHsv

          public ColorHsv​(double H,
                          double S,
                          double V)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`